import java.util.*;

/**
 * Represents a unique state of a Turing Machine.
 */
public class TMSymbol {
	// String constant for bounding symbol
	public static final String BOUND = "#";

 	private String value;
  	private int id;
  	
  	public TMSymbol(String symbol, int i) {
  		value = symbol; id = i;
  	}
  	
  	public String toString() {
  		return value;
  	}
  	
	// Standard setter/getter methods
	public int getId() {return id;}
	public String getValue() {return value;}
	public void setId(int i) {id = i;}
	public void setValue(String string) {value = string;}
}


