import java.util.*;

/**
 * Represents a unique state of a Turing Machine.
 */
public class TMState {
 	private String name;
	private boolean isStart;
  	private int id;
  	
  	public TMState(String n, boolean start, int i) {
  		name = n; isStart = start; id = i;
  	}
  	
  	public String toString() {
  		return name;
  	}
  	
	// Standard setter/getter methods
	public int getId() { return id;}
	public String getName() {return name;}
	public boolean isStart() {return isStart;}
	public void setId(int i) {id = i;}
	public void setName(String string) {name = string;}
	public void setStart(boolean b) {isStart = b;}
}


